package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 购物车 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvShoppingCartDao;
import com.heyu.api.data.entity.vv.VvShoppingCartEntity;
import com.heyu.api.data.service.vv.VvShoppingCartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvShoppingCartServiceImpl extends ServiceImpl<VvShoppingCartDao, VvShoppingCartEntity> implements VvShoppingCartService {


    @Autowired
	private VvShoppingCartDao vvShoppingCartDao;



	@Override
	public VvShoppingCartEntity selectVvShoppingCartById(Long id){
		return vvShoppingCartDao.selectVvShoppingCartById(id);
	}



	@Override
	public Long insertVvShoppingCart(VvShoppingCartEntity vvShoppingCart){
		return vvShoppingCartDao.insertVvShoppingCart(vvShoppingCart);
	}



	@Override
	public Long insertOrUpdateVvShoppingCart(VvShoppingCartEntity vvShoppingCart){
		return vvShoppingCartDao.insertOrUpdateVvShoppingCart(vvShoppingCart);
	}



	@Override
	public int updateVvShoppingCartById(VvShoppingCartEntity vvShoppingCart){
		return vvShoppingCartDao.updateVvShoppingCartById(vvShoppingCart);
	}



	@Override
	public int updateCoverVvShoppingCartById(VvShoppingCartEntity vvShoppingCart){
		return vvShoppingCartDao.updateCoverVvShoppingCartById(vvShoppingCart);
	}



	@Override
	public int deleteVvShoppingCartById(Long id){
		return vvShoppingCartDao.deleteVvShoppingCartById(id);
	}



}
